Index: /LMDZ5/trunk/libf/phylmd/phys_output_write.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1539)
@@ -9,10 +9,12 @@
 !!! Champs 1D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        IF (o_phis%flag(iff)<=lev_files(iff)) THEN 
-         CALL histwrite_phy(nid_files(iff),
-     $                      o_phis%name,itau_w,pphis)
-       ENDIF
-
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_phis%name,itau_w,pphis)
+       ENDIF
+
+       IF (.NOT.clef_stations(iff)) THEN
        IF (o_aire%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_aire%name,itau_w,airephy)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_aire%name,itau_w,airephy)
        ENDIF
 
@@ -21,15 +23,16 @@
        zx_tmp_fi2d(i)=pctsrf(i,is_ter)+pctsrf(i,is_lic)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $             o_contfracATM%name,itau_w,zx_tmp_fi2d)
        ENDIF
+       ENDIF
 
        IF (o_contfracOR%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_contfracOR%name,itau_w,
-     $                   pctsrf(:,is_ter))
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_contfracOR%name,itau_w,pctsrf(:,is_ter))
        ENDIF
 
        IF (o_aireTER%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                  o_aireTER%name,itau_w,paire_ter)
        ENDIF
@@ -38,25 +41,33 @@
 
        IF (o_flat%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_flat%name,itau_w,zxfluxlat)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_flat%name,itau_w,zxfluxlat)
        ENDIF
 
        IF (o_slp%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_slp%name,itau_w,slp)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_slp%name,itau_w,slp)
        ENDIF
 
        IF (o_tsol%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tsol%name,itau_w,zxtsol)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_tsol%name,itau_w,zxtsol)
        ENDIF
 
        IF (o_t2m%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_t2m%name,itau_w,zt2m)
-       ENDIF
-
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                  o_t2m%name,itau_w,zt2m)
+       ENDIF
+
+      IF (.NOT.clef_stations(iff)) THEN
        IF (o_t2m_min%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_t2m_min%name,itau_w,zt2m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_t2m_min%name,itau_w,zt2m)
        ENDIF
 
        IF (o_t2m_max%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_t2m_max%name,itau_w,zt2m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_t2m_max%name,itau_w,zt2m)
+       ENDIF
        ENDIF
 
@@ -65,15 +76,17 @@
        zx_tmp_fi2d(i)=SQRT(zu10m(i)*zu10m(i)+zv10m(i)*zv10m(i))
       ENDDO
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                  o_wind10m%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
+      IF (.NOT.clef_stations(iff)) THEN
        IF (o_wind10max%flag(iff)<=lev_files(iff)) THEN
       DO i=1, klon
        zx_tmp_fi2d(i)=SQRT(zu10m(i)*zu10m(i)+zv10m(i)*zv10m(i))
       ENDDO
-      CALL histwrite_phy(nid_files(iff),o_wind10max%name, 
-     $                   itau_w,zx_tmp_fi2d)
-       ENDIF
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wind10max%name,itau_w,zx_tmp_fi2d)
+       ENDIF
+      ENDIF
 
        IF (o_sicf%flag(iff)<=lev_files(iff)) THEN
@@ -81,18 +94,21 @@
          zx_tmp_fi2d(i) = pctsrf(i,is_sic)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_sicf%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_q2m%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_q2m%name,itau_w,zq2m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_q2m%name,itau_w,zq2m)
        ENDIF
 
        IF (o_u10m%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_u10m%name,itau_w,zu10m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_u10m%name,itau_w,zu10m)
        ENDIF
 
        IF (o_v10m%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_v10m%name,itau_w,zv10m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_v10m%name,itau_w,zv10m)
        ENDIF
 
@@ -101,20 +117,23 @@
          zx_tmp_fi2d(i) = paprs(i,1)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_psol%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_mass%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_mass%name,itau_w,zmasse)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     s                   o_mass%name,itau_w,zmasse)
         ENDIF
 
 
        IF (o_qsurf%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_qsurf%name,itau_w,zxqsurf)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_qsurf%name,itau_w,zxqsurf)
        ENDIF
 
        if (.not. ok_veget) then
          IF (o_qsol%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_qsol%name,itau_w,qsol)
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_qsol%name,itau_w,qsol)
          ENDIF
        endif
@@ -124,11 +143,11 @@
          zx_tmp_fi2d(i) = rain_fall(i) + snow_fall(i)
        ENDDO
-      CALL histwrite_phy(nid_files(iff),o_precip%name,
-     s                   itau_w,zx_tmp_fi2d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_precip%name,itau_w,zx_tmp_fi2d)
       ENDIF
 
        IF (o_ndayrain%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_ndayrain%name,
-     s                   itau_w,nday_rain)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ndayrain%name,itau_w,nday_rain)
        ENDIF
 
@@ -137,5 +156,6 @@
          zx_tmp_fi2d(i) = rain_lsc(i) + snow_lsc(i)
        ENDDO
-      CALL histwrite_phy(nid_files(iff),o_plul%name,itau_w,zx_tmp_fi2d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_plul%name,itau_w,zx_tmp_fi2d)
       ENDIF
 
@@ -144,48 +164,57 @@
          zx_tmp_fi2d(i) = rain_con(i) + snow_con(i)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),o_pluc%name,itau_w,zx_tmp_fi2d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_pluc%name,itau_w,zx_tmp_fi2d)
       ENDIF
 
        IF (o_snow%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_snow%name,itau_w,snow_fall)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_snow%name,itau_w,snow_fall)
        ENDIF
 
        IF (o_msnow%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_msnow%name,itau_w,snow_o)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_msnow%name,itau_w,snow_o)
        ENDIF
 
        IF (o_fsnow%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_fsnow%name,itau_w,zfra_o)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_fsnow%name,itau_w,zfra_o)
        ENDIF
 
        IF (o_evap%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_evap%name,itau_w,evap)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_evap%name,itau_w,evap)
        ENDIF
 
        IF (o_tops%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tops%name,itau_w,topsw)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_tops%name,itau_w,topsw)
        ENDIF
 
        IF (o_tops0%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tops0%name,itau_w,topsw0)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_tops0%name,itau_w,topsw0)
        ENDIF
 
        IF (o_topl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_topl%name,itau_w,toplw)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_topl%name,itau_w,toplw)
        ENDIF
 
        IF (o_topl0%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_topl0%name,itau_w,toplw0)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_topl0%name,itau_w,toplw0)
        ENDIF
 
        IF (o_SWupTOA%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, klevp1 )
-      CALL histwrite_phy(nid_files(iff),o_SWupTOA%name,
-     s                     itau_w,zx_tmp_fi2d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_SWupTOA%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_SWupTOAclr%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, klevp1 )
-      CALL histwrite_phy(nid_files(iff), 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff), 
      $                  o_SWupTOAclr%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -193,5 +222,5 @@
        IF (o_SWdnTOA%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, klevp1 )
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                  o_SWdnTOA%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -199,5 +228,5 @@
        IF (o_SWdnTOAclr%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, klevp1 )
-      CALL histwrite_phy(nid_files(iff), 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff), 
      $                  o_SWdnTOAclr%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -205,68 +234,76 @@
        IF (o_nettop%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(:) = topsw(:)-toplw(:)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                  o_nettop%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_SWup200%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_SWup200%name,itau_w,SWup200)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_SWup200%name,itau_w,SWup200)
        ENDIF
 
        IF (o_SWup200clr%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_SWup200clr%name,itau_w,SWup200clr)
        ENDIF
 
        IF (o_SWdn200%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_SWdn200%name,itau_w,SWdn200)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_SWdn200%name,itau_w,SWdn200)
        ENDIF
 
        IF (o_SWdn200clr%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                o_SWdn200clr%name,itau_w,SWdn200clr)
        ENDIF
 
        IF (o_LWup200%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_LWup200%name,itau_w,LWup200)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_LWup200%name,itau_w,LWup200)
        ENDIF
 
        IF (o_LWup200clr%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_LWup200clr%name,itau_w,LWup200clr)
        ENDIF
 
        IF (o_LWdn200%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_LWdn200%name,itau_w,LWdn200)
        ENDIF
 
        IF (o_LWdn200clr%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                  o_LWdn200clr%name,itau_w,LWdn200clr)
        ENDIF
 
        IF (o_sols%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_sols%name,itau_w,solsw)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_sols%name,itau_w,solsw)
        ENDIF
 
        IF (o_sols0%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_sols0%name,itau_w,solsw0)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_sols0%name,itau_w,solsw0)
        ENDIF
 
        IF (o_soll%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_soll%name,itau_w,sollw)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_soll%name,itau_w,sollw)
        ENDIF
 
        IF (o_radsol%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_radsol%name,itau_w,radsol)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_radsol%name,itau_w,radsol)
        ENDIF
 
        IF (o_soll0%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_soll0%name,itau_w,sollw0)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_soll0%name,itau_w,sollw0)
        ENDIF
 
        IF (o_SWupSFC%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, 1 )
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s               o_SWupSFC%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -274,5 +311,5 @@
        IF (o_SWupSFCclr%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, 1 )
-      CALL histwrite_phy(nid_files(iff), 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff), 
      $                   o_SWupSFCclr%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -280,5 +317,5 @@
        IF (o_SWdnSFC%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, 1 )
-      CALL histwrite_phy(nid_files(iff), 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff), 
      $                   o_SWdnSFC%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -286,5 +323,5 @@
        IF (o_SWdnSFCclr%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, 1 )
-      CALL histwrite_phy(nid_files(iff), 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff), 
      $                  o_SWdnSFCclr%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -292,10 +329,10 @@
        IF (o_LWupSFC%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon)=sollwdown(1:klon)-sollw(1:klon)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_LWupSFC%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_LWdnSFC%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_LWdnSFC%name,itau_w,sollwdown)
        ENDIF
@@ -304,37 +341,41 @@
        IF (o_LWupSFCclr%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon)=sollwdownclr(1:klon)-sollw0(1:klon)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_LWupSFCclr%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_LWdnSFCclr%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_LWdnSFCclr%name,itau_w,sollwdownclr)
        ENDIF
 
        IF (o_bils%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_bils%name,itau_w,bils)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_bils%name,itau_w,bils)
        ENDIF
 
        IF (o_sens%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon)=-1*sens(1:klon)
-      CALL histwrite_phy(nid_files(iff),o_sens%name,itau_w,zx_tmp_fi2d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_sens%name,itau_w,zx_tmp_fi2d)
        ENDIF
 
        IF (o_fder%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_fder%name,itau_w,fder)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_fder%name,itau_w,fder)
        ENDIF
 
        IF (o_ffonte%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_ffonte%name,itau_w,zxffonte)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ffonte%name,itau_w,zxffonte)
        ENDIF
 
        IF (o_fqcalving%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_fqcalving%name,itau_w,zxfqcalving)
        ENDIF
 
        IF (o_fqfonte%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_fqfonte%name,itau_w,zxfqfonte)
        ENDIF
@@ -345,5 +386,5 @@
           zx_tmp_fi2d(:)=zx_tmp_fi2d(:)+pctsrf(:,nsrf)*fluxu(:,1,nsrf)
          enddo
-         CALL histwrite_phy(nid_files(iff),
+         CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_taux%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -354,5 +395,5 @@
           zx_tmp_fi2d(:)=zx_tmp_fi2d(:)+pctsrf(:,nsrf)*fluxv(:,1,nsrf)
          enddo
-         CALL histwrite_phy(nid_files(iff),
+         CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_tauy%name,itau_w,zx_tmp_fi2d)
        ENDIF
@@ -363,4 +404,5 @@
             zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)*100.
             CALL histwrite_phy(nid_files(iff),
+     $                     clef_stations(iff),
      $                     o_pourc_srf(nsrf)%name,itau_w,
      $                     zx_tmp_fi2d)
@@ -369,5 +411,5 @@
           IF (o_fract_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
           zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)
-          CALL histwrite_phy(nid_files(iff),
+          CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                  o_fract_srf(nsrf)%name,itau_w,
      $                  zx_tmp_fi2d)
@@ -377,5 +419,5 @@
         IF (o_taux_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = fluxu( 1 : klon, 1, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                     o_taux_srf(nsrf)%name,itau_w,
      $                     zx_tmp_fi2d)
@@ -384,5 +426,5 @@
         IF (o_tauy_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN           
         zx_tmp_fi2d(1 : klon) = fluxv( 1 : klon, 1, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_tauy_srf(nsrf)%name,itau_w,
      $                    zx_tmp_fi2d)
@@ -391,5 +433,5 @@
         IF (o_tsol_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = ftsol( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_tsol_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -398,5 +440,6 @@
       IF (o_u10m_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = u10m(1 : klon, nsrf)
-      CALL histwrite_phy(nid_files(iff),o_u10m_srf(nsrf)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_u10m_srf(nsrf)%name,
      $                 itau_w,zx_tmp_fi2d)
       ENDIF
@@ -404,5 +447,6 @@
       IF (o_v10m_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = v10m(1 : klon, nsrf)
-      CALL histwrite_phy(nid_files(iff),o_v10m_srf(nsrf)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_v10m_srf(nsrf)%name,
      $              itau_w,zx_tmp_fi2d)
       ENDIF
@@ -410,5 +454,6 @@
       IF (o_t2m_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = t2m(1 : klon, nsrf)
-      CALL histwrite_phy(nid_files(iff),o_t2m_srf(nsrf)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_t2m_srf(nsrf)%name,
      $           itau_w,zx_tmp_fi2d)
       ENDIF
@@ -416,5 +461,6 @@
       IF (o_evap_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = fevap(1 : klon, nsrf)
-      CALL histwrite_phy(nid_files(iff),o_evap_srf(nsrf)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_evap_srf(nsrf)%name,
      $           itau_w,zx_tmp_fi2d)
       ENDIF
@@ -422,5 +468,5 @@
        IF (o_sens_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
        zx_tmp_fi2d(1 : klon) = fluxt( 1 : klon, 1, nsrf)
-       CALL histwrite_phy(nid_files(iff),
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_sens_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -429,5 +475,5 @@
         IF (o_lat_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = fluxlat( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                 o_lat_srf(nsrf)%name,itau_w,
      $                                   zx_tmp_fi2d)
@@ -436,5 +482,5 @@
         IF (o_flw_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = fsollw( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                     o_flw_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -443,5 +489,5 @@
         IF (o_fsw_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = fsolsw( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_fsw_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -450,5 +496,5 @@
         IF (o_wbils_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = wfbils( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_wbils_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -457,5 +503,5 @@
         IF (o_wbilo_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d(1 : klon) = wfbilo( 1 : klon, nsrf)
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_wbilo_srf(nsrf)%name,itau_w,
      $      zx_tmp_fi2d)
@@ -464,49 +510,58 @@
        if (iflag_pbl>1 .and. lev_histday.gt.10 ) then
         IF (o_tke_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_tke_srf(nsrf)%name,itau_w,
      $                    pbl_tke(:,1:klev,nsrf))
        ENDIF
 
+      IF (.NOT.clef_stations(iff)) THEN
         IF (o_tke_max_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                    o_tke_max_srf(nsrf)%name,itau_w,
      $      pbl_tke(:,1:klev,nsrf))
         ENDIF
+      ENDIF
        endif
       ENDDO
 
         IF (o_cdrm%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cdrm%name,itau_w,cdragm)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cdrm%name,itau_w,cdragm)
         ENDIF
 
         IF (o_cdrh%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cdrh%name,itau_w,cdragh)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cdrh%name,itau_w,cdragh)
         ENDIF
 
         IF (o_cldl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cldl%name,itau_w,cldl)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldl%name,itau_w,cldl)
         ENDIF
 
         IF (o_cldm%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cldm%name,itau_w,cldm)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldm%name,itau_w,cldm)
         ENDIF
 
         IF (o_cldh%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cldh%name,itau_w,cldh)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldh%name,itau_w,cldh)
         ENDIF
 
         IF (o_cldt%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cldt%name, 
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldt%name, 
      &                   itau_w,cldt)
         ENDIF
 
         IF (o_cldq%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cldq%name,itau_w,cldq)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldq%name,itau_w,cldq)
         ENDIF
 
         IF (o_lwp%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon) = flwp(1:klon)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_lwp%name,itau_w,zx_tmp_fi2d)
         ENDIF
@@ -514,81 +569,101 @@
         IF (o_iwp%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon) = fiwp(1:klon)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                    o_iwp%name,itau_w,zx_tmp_fi2d)
         ENDIF
 
         IF (o_ue%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_ue%name,itau_w,ue)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ue%name,itau_w,ue)
         ENDIF
 
         IF (o_ve%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_ve%name,itau_w,ve)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ve%name,itau_w,ve)
         ENDIF
 
         IF (o_uq%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_uq%name,itau_w,uq)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_uq%name,itau_w,uq)
         ENDIF
 
         IF (o_vq%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_vq%name,itau_w,vq)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_vq%name,itau_w,vq)
         ENDIF
 
       IF(iflag_con.GE.3) THEN ! sb
         IF (o_cape%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cape%name,itau_w,cape)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cape%name,itau_w,cape)
         ENDIF
 
         IF (o_pbase%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_pbase%name,itau_w,ema_pcb)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_pbase%name,itau_w,ema_pcb)
         ENDIF
 
         IF (o_ptop%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_ptop%name,itau_w,ema_pct)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ptop%name,itau_w,ema_pct)
         ENDIF
 
         IF (o_fbase%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_fbase%name,itau_w,ema_cbmf)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_fbase%name,itau_w,ema_cbmf)
         ENDIF
 
         IF (o_plcl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_plcl%name,itau_w,plcl)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_plcl%name,itau_w,plcl)
         ENDIF
 
         IF (o_plfc%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_plfc%name,itau_w,plfc)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_plfc%name,itau_w,plfc)
         ENDIF
 
         IF (o_wbeff%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_wbeff%name,itau_w,wbeff)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wbeff%name,itau_w,wbeff)
         ENDIF
 
 
         IF (o_prw%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_prw%name,itau_w,prw)
-        ENDIF
-
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_prw%name,itau_w,prw)
+        ENDIF
+
+      IF (.NOT.clef_stations(iff)) THEN
       IF (o_cape_max%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_cape_max%name,itau_w,cape)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cape_max%name,itau_w,cape)
+      ENDIF
       ENDIF
 
        IF (o_upwd%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_upwd%name,itau_w,upwd)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_upwd%name,itau_w,upwd)
        ENDIF
 
        IF (o_Ma%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_Ma%name,itau_w,Ma)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_Ma%name,itau_w,Ma)
        ENDIF
 
        IF (o_dnwd%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_dnwd%name,itau_w,dnwd)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_dnwd%name,itau_w,dnwd)
        ENDIF
 
        IF (o_dnwd0%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_dnwd0%name,itau_w,dnwd0)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_dnwd0%name,itau_w,dnwd0)
        ENDIF
 
        IF (o_ftime_con%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi2d=float(itau_con)/float(itap)
-      CALL histwrite_phy(nid_files(iff),o_ftime_con%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ftime_con%name,
      s                   itau_w,zx_tmp_fi2d)
        ENDIF
@@ -600,5 +675,6 @@
          zx_tmp_fi3d=dnwd+dnwd0+upwd
         endif 
-      CALL histwrite_phy(nid_files(iff),o_mc%name,itau_w,zx_tmp_fi3d)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_mc%name,itau_w,zx_tmp_fi3d)
        ENDIF
       
